gsw_CT_first_derivatives_wrt_t_exact {gsw} | R Documentation

## Derivatives of Conservative Temperature with Respect to or at Constant in-situ Temperature

### Description

Derivatives of Conservative Temperature with Respect to or at Constant in-situ Temperature

### Usage

    gsw_CT_first_derivatives_wrt_t_exact(SA, t, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

A list containing `CT_SA_wrt_t` [ K/(g/kg) ], the derivative of Conservative Temperature with respect to Absolute Salinity at constant temperature and pressure, `CT_t_wrt_t` [ unitless], the derivative of Conservative Temperature with respect to temperature at constant Absolute Salinity and pressure, and `CT_p_wrt_t`, the derivative of Conservative Temperature with respect to pressure at constant Absolute Salinity and temperature.

### References

http://www.teos-10.org/pubs/gsw/html/gsw_CT_first_derivatives_wrt_t_exact.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    t <- c( 28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p <- c(      10,      50,     125,     250,     600,    1000)
    r <- gsw_CT_first_derivatives_wrt_t_exact(SA, t, p)
    expect_equal(r$CT_SA_wrt_t, c(-0.041988694538987, -0.041596549088952, -0.034853545749326,
                                -0.019067140454607, -0.015016439826591, -0.012233725491373))
    expect_equal(r$CT_t_wrt_t, c(1.002752642867571, 1.002243118597902, 1.000835702767227,
                               0.998194915250648, 0.995219303532390, 0.991780205482695))
    expect_equal(r$CT_p_wrt_t/1e-7, c(-0.241011880838437, -0.239031676279078, -0.203649928441505,
                                    -0.119370679226136, -0.099140832825342, -0.086458168643579))

[Package gsw version 1.0-5 Index]